# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KShred Class Reference

Erase a file in a way that makes recovery impossible -- well, no guarentee of that, but at least as difficult as reasonably possible. More...

`#include <kshred.h>`

Inheritance diagram for KShred:

[legend]
Collaboration diagram for KShred:

[legend]
List of all members.

## Signals

void | processedSize (KIO::filesize_t bytes)
| Shows progress of the shredding.
void | infoMessage (const QString &)
| Shows a message in the progress dialog.

## Public Member Functions

| KShred (QString fileName)
| Initialize the class using the name of the file to 'shred'.
bool | fill1s ()
| Writes all 1's over the entire file and flushes the file buffers.
bool | fill0s ()
| Writes all 0's over the entire file and flushes the file buffers.
bool | fillbyte (unsigned int byte)
| Writes the specified byte over the entire file and flushes the file buffers.
bool | fillrandom ()
| Writes random bites over the entire file and flushes the file buffers.
bool | fillpattern (unsigned char *pattern, unsigned int size)
| Writes the specified byte array over the entire file and flushes the file buffers.
bool | shred ()
| Shreds a file by writing a series of values over it (uses fill0s, then fill1s, then fillrandom, then fillbyte with 0101..., then fillbyte with 1010....

## Static Public Member Functions

bool | shred (QString fileName)
| The simplest method to shred a file.

## Detailed Description

Erase a file in a way that makes recovery impossible -- well, no guarentee of that, but at least as difficult as reasonably possible.

For this, KShred write several times over the existing file, using different patterns, before deleting it.

Author:
  Andreas F. Pour <bugs@mieterra.com>

  David Faure <faure@kde.org> (integration into KDE and progress signal)

Definition at line 45 of file kshred.h.

## Constructor & Destructor Documentation

KShred::KShred | ( | QString | fileName | ) |

Initialize the class using the name of the file to 'shred'.

Parameters:

  fileName | fully qualified name of the file to shred.

Definition at line 30 of file kshred.cpp.

References QString::isEmpty(), QString::local8Bit(), QFile::open(), QFile::setName(), and QFile::size().

## Member Function Documentation

bool KShred::fill1s | ( |  | ) |

Writes all 1's over the entire file and flushes the file buffers.

Returns:
  true on success, false on error (invalid filename or write error)

Definition at line 67 of file kshred.cpp.

References fillbyte().

bool KShred::fill0s | ( |  | ) |

Writes all 0's over the entire file and flushes the file buffers.

Returns:
  true on success, false on error (invalid filename or write error)

Definition at line 74 of file kshred.cpp.

References fillbyte().

bool KShred::fillbyte | ( | unsigned int | byte | ) |

Writes the specified byte over the entire file and flushes the file buffers.

Parameters:

  byte | the value to write over every byte of the file

Returns:
  true on success, false on error (invalid filename or write error)

Definition at line 81 of file kshred.cpp.

Referenced by fill0s(), fill1s(), and shred().

bool KShred::fillrandom | ( |  | ) |

Writes random bites over the entire file and flushes the file buffers.

Returns:
  true on success, false on error (invalid filename or write error)

Definition at line 121 of file kshred.cpp.

Referenced by shred().

bool KShred::fillpattern | ( | unsigned char * | pattern,
|  | unsigned int | size
| ) |

Writes the specified byte array over the entire file and flushes the file buffers.

Parameters:

  pattern | the value to write over the entire file
  size | the length of the 'pattern' byte array

Returns:
  true on success, false on error (invalid filename or write error)

Definition at line 102 of file kshred.cpp.

Referenced by shred().

bool KShred::shred | ( |  | ) |

Shreds a file by writing a series of values over it (uses fill0s, then fill1s, then fillrandom, then fillbyte with 0101..., then fillbyte with 1010....

Returns:
  true on success, false on error (invalid filename or write error)

Definition at line 205 of file kshred.cpp.

References QString::arg(), fillbyte(), fillpattern(), fillrandom(), infoMessage(), processedSize(), and QFile::remove().

Referenced by shred().

bool KShred::shred | ( | QString | fileName | ) | `[static]`

The simplest method to shred a file.

No need to create an instance of the class.

Parameters:

  fileName | fully qualified name of the file to shred.

Definition at line 147 of file kshred.cpp.

References QString::isEmpty(), and shred().

void KShred::processedSize | ( | KIO::filesize_t | bytes | ) | `[signal]`

Shows progress of the shredding.

Parameters:

  bytes | the number of bytes written to the file

Referenced by shred().

void KShred::infoMessage | ( | const QString & |  | ) | `[signal]`

Shows a message in the progress dialog.

Parameters:

  the | message to display

Referenced by shred().

The documentation for this class was generated from the following files:

- kshred.h
- kshred.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:23:13 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001